import {IJob} from "./db/IJob.ts";

export enum RequestType {
    STATS = "STATS",
    JOB = "JOB",
    STARTFILL = "STARTFILL",
    STOPFILL = "STOPFILL",
    DOWNLOAD_DRINKS = "DOWNLOAD_DRINKS",
    TARE = "TARE",
    CHECK = "CHECK",
    UPDATE = "UPDATE",
    INFO = "INFO",
    CLEAR_DB = "CLEAR_DB",
    SHUTDOWN = "SHUTDOWN",
}

// Define a mapping from RequestType to the expected data type of the RESPONSE payload
// You need to define these types based on the data your backend sends back for each request type
export interface RequestTypeResponseMap {
    [RequestType.STATS]: any;
    [RequestType.JOB]: IJob;
    [RequestType.STARTFILL]: { success: boolean, job: IJob };
    [RequestType.STOPFILL]: any;
    [RequestType.DOWNLOAD_DRINKS]: string;
    [RequestType.TARE]: { success: boolean, msg: string };
    [RequestType.CHECK]: { success: boolean, msg: string };
    [RequestType.UPDATE]: boolean;
    [RequestType.INFO]: {
        internet: boolean,
        ip: string,
        network: string,
        uptime: string,
        version: string,
        author: string,
        contact: string
    };
    [RequestType.CLEAR_DB]: true;
    [RequestType.SHUTDOWN]: undefined;
    // Add other request types and their response data types as needed
}
