/**
 * File for web
 */
import {iTenderStatus} from "./iTenderStatus.ts";
import {IDrink} from "./db/IDrink.ts";
import IContainer from "./db/IContainer.ts";

export enum WebSocketEvent {
    STATUS= "STATUS",
    DRINKS = "DRINKS",
    CONTAINERS = "CONTAINERS",
    INGREDIENTS = "INGREDIENTS",
    CONTAINER_UPDATE = "CONTAINER_UPDATE",
    CONFIG = "CONFIG",
    SETUP = "SETUP",
    REQUEST = "REQUEST",
    RESPONSE = "RESPONSE",
    CANCEL = "CANCEL",
    ERROR = "ERROR",
}

export interface WebSocketEventPayloadMap {
    [WebSocketEvent.STATUS]: {status: iTenderStatus}; // Example: STATUS event carries a string status message
    [WebSocketEvent.DRINKS]: IDrink[]; // Example: DRINKS event carries an array of drinks
    [WebSocketEvent.CONTAINERS]: IContainer[]; // Example: CONTAINERS event carries an array of containers
    [WebSocketEvent.CONTAINER_UPDATE]: any; // Example: CONTAINER_UPDATE carries a single container update
    [WebSocketEvent.CONFIG]: any; // Example: CONFIG carries configuration data
    [WebSocketEvent.INGREDIENTS]: any; // Example: TARE carries tare data
    [WebSocketEvent.SETUP]: any; // Example: SETUP carries setup data
    [WebSocketEvent.REQUEST]: any; // REQUEST payload structure (type and data)
    [WebSocketEvent.RESPONSE]: any; // RESPONSE payload structure (type and data)
    [WebSocketEvent.CANCEL]: any; // CANCEL payload
    [WebSocketEvent.ERROR]: string; // ERROR event carries an error message
    // Add other events and their types as needed
}