import IIngredient from "./IIngredient.ts";
import {ISensorType} from "./ISensorType.ts";

export default interface IContainer {
    _id: string,
    slot: number;
    content: IIngredient | undefined;
    volume: number;
    sensorDelta: number;
    sensorTare: number;

    // Sensor Type
    sensorType: ISensorType;

    /**
     * HX711 DATA-Pin
     */
    sensorPin1: number;
    /**
     * HX711 CLOCK-Pin
     */
    sensorPin2: number;

    /**
     * Is the arduino used as proxy?
     */
    useProxy: boolean
    rawData: number;
    pumpPin: number;

    filled: number;
    enabled: boolean;
}