import {Button, Typography} from "@mui/material";
import {useEffect, useState} from "react";

interface StartupProps {
    onRetryClick: () => void;
}

export function PaneStartup({onRetryClick}: Readonly<StartupProps>) {

    const [connectionIssue, setConnectionIssue] = useState(false);

    const init = () => {
        setConnectionIssue(false);
        return setTimeout(() => {
            setConnectionIssue(true);
        }, 10000);
    }

    useEffect(() => {
        let t = init();
        return () => clearTimeout(t);
    }, []);

    return (
        <>

            <div style={{padding: "15px", textAlign: "center"}}>
                <Typography variant="h1">Willkommen</Typography>
                <Typography
                    variant="subtitle1">{connectionIssue ? "Verbindungsfehler" : "iTender wird gestartet..."}</Typography>
                {connectionIssue && <Button variant={"contained"} onClick={() => {
                    onRetryClick();
                    init();
                }} color={"primary"}>Erneut
                    versuchen</Button>}
            </div>
        </>
    )
}